dotnet-nuget-config-unset(1)

dotnet nuget config unset

This article applies to: ✔️ .NET 8.0.2xx SDK and later versions

NAME

dotnet-nuget-config-unset - Removes the key-value pair from a specified NuGet configuration setting.

SYNOPSIS

    dotnet nuget config unset <CONFIG-KEY> [--configfile <FILE>]
    dotnet nuget config unset -h|--help

DESCRIPTION

The dotnet nuget config unset unsets the values for NuGet configuration settings that will be applied from the config section.

ARGUMENTS

•   CONFIG_KEY

    The key of the settings that are to be removed.

OPTIONS

•   --configfile <FILE>

    The NuGet configuration file (nuget.config) to use. If specified, only the settings from this file will be used. If not specified, the hierarchy of configuration files from the current directory will be used. For more information, see Common NuGet Configurations.

•   -?|-h|--help

    Prints out a description of how to use the command.

EXAMPLES

•   Removes’s the repositoryPath config value from the specified configuration file:

        dotnet nuget config unset repositoryPath --configfile "C:/nugte.config"

SEE ALSO

•   nuGet.config reference